Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api.peer
Class BitmapPeer

    java.lang.Object
      |
      +--com.macromedia.generator.api.peer.BitmapPeer

public class BitmapPeer
extends java.lang.Object

Constructor Summary
`BitmapPeer()`

Method Summary
`(package private) static void` | `()`
`static int` | `GetBounds(int i, int[] ai)`
`static int` | `GetExport(int i, int[] ai)`
`static int` | `GetHeight(int i, int[] ai)`
`static int` | `GetQuality(int i, int[] ai)`
`static int` | `GetWidth(int i, int[] ai)`
`static int` | `New()`
`static int` | `Release(int i)`
`static int` | `SetBuffer(int i, int j)`
`static int` | `SetCenter(int i, int j, int k)`
`static int` | `SetExport(int i, int j)`
`static int` | `SetFile(int i, java.lang.String s)`
`static int` | `SetPngBuffer(int i, int j)`
`static int` | `SetPngFile(int i, java.lang.String s)`
`static int` | `SetQuality(int i, int j)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BitmapPeer

    public BitmapPeer()

Method Detail

### GetBounds

    public static int GetBounds(int i,
                                int[] ai)

### GetExport

    public static int GetExport(int i,
                                int[] ai)

### GetHeight

    public static int GetHeight(int i,
                                int[] ai)

### GetQuality

    public static int GetQuality(int i,
                                 int[] ai)

### GetWidth

    public static int GetWidth(int i,
                               int[] ai)

### New

    public static int New()

### Release

    public static int Release(int i)

### SetBuffer

    public static int SetBuffer(int i,
                                int j)

### SetCenter

    public static int SetCenter(int i,
                                int j,
                                int k)

### SetExport

    public static int SetExport(int i,
                                int j)

### SetFile

    public static int SetFile(int i,
                              java.lang.String s)

### SetPngBuffer

    public static int SetPngBuffer(int i,
                                   int j)

### SetPngFile

    public static int SetPngFile(int i,
                                 java.lang.String s)

### SetQuality

    public static int SetQuality(int i,
                                 int j)

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD